Package org.zkoss.stateless.sul

## Enum IToolbarbutton.Mode

- java.lang.Object
- - java.lang.Enum<IToolbarbutton.Mode>
  - - org.zkoss.stateless.sul.IToolbarbutton.Mode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IToolbarbutton.Mode>`
  Enclosing interface:
    IToolbarbutton

      public static enum IToolbarbutton.Mode
      extends java.lang.Enum<IToolbarbutton.Mode>

  Specifies the mode with `IToolbarbutton.withMode(Mode)`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFAULT` | The default mode
    `TOGGLE` | The toggle mode

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IToolbarbutton.Mode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IToolbarbutton.Mode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final IToolbarbutton.Mode DEFAULT

      The default mode

    - #### TOGGLE

          public static final IToolbarbutton.Mode TOGGLE

      The toggle mode

  - ### Method Detail

    - #### values

          public static IToolbarbutton.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IToolbarbutton.Mode c : IToolbarbutton.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IToolbarbutton.Mode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null